Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\ExceptionConversion Class Reference
Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\ExceptionConversion:

## Public Member Functions
| __construct (Gateway $innerGateway)
| Creates a new exception conversion gateway around $innerGateway. More...
| insertSection ($name, $identifier)
| Inserts a new section with $name and $identifier. More...
| updateSection ($id, $name, $identifier)
| Updates section with $id to have $name and $identifier. More...
| loadSectionData ($id)
| Loads data for section with $id. More...
| loadAllSectionData ()
| Loads data for all sections. More...
| loadSectionDataByIdentifier ($identifier)
| Loads data for section with $identifier. More...
| countContentObjectsInSection ($id)
| Counts the number of content objects assigned to section with $id. More...
| countPoliciesUsingSection ($id)
| Counts the number of role policies using section with $id in their limitations. More...
| countRoleAssignmentsUsingSection ($id)
| Counts the number of role assignments using section with $id in their limitations. More...
| deleteSection ($id)
| Deletes the Section with $id. More...
| assignSectionToContent ($sectionId, $contentId)
| Inserts the assignment of $contentId to $sectionId. More...

## Protected Attributes
| $innerGateway

## Detailed Description

Definition at line 14 of file Persistence/Legacy/Content/Section/Gateway/ExceptionConversion.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\ExceptionConversion::__construct | ( | Gateway | $innerGateway | ) |

Creates a new exception conversion gateway around $innerGateway.

Parameters

  \eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway | $innerGateway |

Definition at line 28 of file Persistence/Legacy/Content/Section/Gateway/ExceptionConversion.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\ExceptionConversion\$innerGateway.

## Member Function Documentation

## ◆ assignSectionToContent()

eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\ExceptionConversion::assignSectionToContent | ( |  | $sectionId,
|  |  | $contentId
| ) |  |

Inserts the assignment of $contentId to $sectionId.

Parameters

  int | $sectionId |
  int | $contentId |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway.

Definition at line 114 of file Persistence/Legacy/Content/Section/Gateway/ExceptionConversion.php.

## ◆ countContentObjectsInSection()

eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\ExceptionConversion::countContentObjectsInSection | ( |  | $id | ) |

Counts the number of content objects assigned to section with $id.

Parameters

  int | $id |

Returns
  int

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway.

Definition at line 78 of file Persistence/Legacy/Content/Section/Gateway/ExceptionConversion.php.

## ◆ countPoliciesUsingSection()

eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\ExceptionConversion::countPoliciesUsingSection | ( |  | $id | ) |

Counts the number of role policies using section with $id in their limitations.

Parameters

  int | $id |

Returns
  int

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway.

Definition at line 87 of file Persistence/Legacy/Content/Section/Gateway/ExceptionConversion.php.

## ◆ countRoleAssignmentsUsingSection()

eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\ExceptionConversion::countRoleAssignmentsUsingSection | ( |  | $id | ) |

Counts the number of role assignments using section with $id in their limitations.

Parameters

  int | $id |

Returns
  int

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway.

Definition at line 96 of file Persistence/Legacy/Content/Section/Gateway/ExceptionConversion.php.

## ◆ deleteSection()

eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\ExceptionConversion::deleteSection | ( |  | $id | ) |

Deletes the Section with $id.

Parameters

  int | $id |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway.

Definition at line 105 of file Persistence/Legacy/Content/Section/Gateway/ExceptionConversion.php.

## ◆ insertSection()

eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\ExceptionConversion::insertSection | ( |  | $name,
|  |  | $identifier
| ) |  |

Inserts a new section with $name and $identifier.

Parameters

  string | $name |
  string | $identifier |

Returns
  int The ID of the new section

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway.

Definition at line 33 of file Persistence/Legacy/Content/Section/Gateway/ExceptionConversion.php.

## ◆ loadAllSectionData()

eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\ExceptionConversion::loadAllSectionData | ( |  | ) |

Loads data for all sections.

Returns
  string[][]

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway.

Definition at line 60 of file Persistence/Legacy/Content/Section/Gateway/ExceptionConversion.php.

## ◆ loadSectionData()

eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\ExceptionConversion::loadSectionData | ( |  | $id | ) |

Loads data for section with $id.

Parameters

  int | $id |

Returns
  string[][]

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway.

Definition at line 51 of file Persistence/Legacy/Content/Section/Gateway/ExceptionConversion.php.

## ◆ loadSectionDataByIdentifier()

eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\ExceptionConversion::loadSectionDataByIdentifier | ( |  | $identifier | ) |

Loads data for section with $identifier.

Parameters

  string | $identifier |

Returns
  string[][]

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway.

Definition at line 69 of file Persistence/Legacy/Content/Section/Gateway/ExceptionConversion.php.

## ◆ updateSection()

eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\ExceptionConversion::updateSection | ( |  | $id,
|  |  | $name,
|  |  | $identifier
| ) |  |

Updates section with $id to have $name and $identifier.

Parameters

  int | $id |
  string | $name |
  string | $identifier |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway.

Definition at line 42 of file Persistence/Legacy/Content/Section/Gateway/ExceptionConversion.php.

## Member Data Documentation

## ◆ $innerGateway

eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\ExceptionConversion::$innerGateway
| protected

Definition at line 21 of file Persistence/Legacy/Content/Section/Gateway/ExceptionConversion.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\ExceptionConversion\__construct().

The documentation for this class was generated from the following file:

- Persistence/Legacy/Content/Section/Gateway/ExceptionConversion.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.